Name: H5Tset_inpad
Signature:
  herr_t `H5Tset_inpad`(hid_t `type_id`, H5T_pad_t `inpad` )
Purpose:
  Fills unused internal floating point bits.
Description:
  If any internal bits of a floating point type are unused (that is, those significant bits which are not part of the sign, exponent, or mantissa), then `H5Tset_inpad` will be filled according to the value of the padding value property `inpad`. Valid padding types are:
  H5T_PAD_ZERO (`0`)
    Set background to zeros.
  H5T_PAD_ONE (`1`)
    Set background to ones.
  H5T_PAD_BACKGROUND (`2`)
    Leave background alone.
Parameters:

hid_t `type_id` | Identifier of datatype to modify.
H5T_pad_t `pad` | Padding type.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tset_inpad_f

      SUBROUTINE h5tset_inpad_f(type_id, padtype, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id
                                        ! Datatype identifier
        INTEGER, INTENT(IN) :: padtype  ! Padding type for unused bits
                                        ! in floating-point datatypes.
                                        ! Possible values of padding type are:
                                        !    H5T_PAD_ZERO_F = 0
                                        !    H5T_PAD_ONE_F = 1
                                        !    H5T_PAD_BACKGROUND_F = 2
        INTEGER, INTENT(OUT) :: hdferr  ! Error code
      END SUBROUTINE h5tset_inpad_f